## org.eclipse.datatools.sqltools.db.generic.sql
Class GenericSQLSyntax

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.DefaultSQLSyntax
          org.eclipse.datatools.sqltools.db.generic.sql.GenericSQLSyntax

All Implemented Interfaces:
  ISQLSyntax

Direct Known Subclasses:
  DerbySQLSyntax

    public class GenericSQLSyntax

extends DefaultSQLSyntax
implements ISQLSyntax

Author:
  Hui Cao

Constructor Summary
`GenericSQLSyntax()`

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.sql.DefaultSQLSyntax
`getAllWords, getConstants, getFunctions, getGlobalVariables, getPredicates, getReservedwords, getSingleLineComments, getTypes, getUnreservedwords`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.ISQLSyntax
`getAllWords, getConstants, getFunctions, getGlobalVariables, getPredicates, getReservedwords, getSingleLineComments, getTypes, getUnreservedwords`

Constructor Detail

### GenericSQLSyntax

    public GenericSQLSyntax()